Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 99)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 100)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 18;
+        public static int s_SystemVersion = 1;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs	(revision 99)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs	(revision 100)
@@ -29,7 +29,7 @@
 
         #region 定数
         /// <summary>
-        /// 行動予定フィールド並び
+        /// 車両予約フィールド並び
         /// </summary>
         public enum NameColumn
         {
@@ -57,12 +57,12 @@
 
         #endregion
 
-        #region 行動予定検索
+        #region 車両予約検索
         /// <summary>
-        /// 行動予定検索
+        /// 車両予約検索
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">車両予約データ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<VehicleScheduleData> data, bool bConnect = true)
         {
@@ -108,11 +108,11 @@
         }
         #endregion
 
-        #region 行動予定複数追加
+        #region 車両予約複数追加
         /// <summary>
-        /// 行動予定複数追加
+        /// 車両予約複数追加
         /// </summary>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">車両予約データ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<VehicleScheduleData> data, bool bConnect = true)
         {
@@ -163,9 +163,9 @@
         }
         #endregion
 
-        #region 行動予定１件追加
+        #region 車両予約１件追加
         /// <summary>
-        /// 行動予定１件追加
+        /// 車両予約１件追加
         /// </summary>
         /// <param name="data"></param>
         /// <param name="bConnect"></param>
@@ -211,12 +211,12 @@
         }
         #endregion
 
-        #region 行動予定更新
+        #region 車両予約更新
         /// <summary>
-        /// 行動予定更新
+        /// 車両予約更新
         /// </summary>
         /// <param name="AddSQLString">更新条件SQL文字列</param>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">車両予約データ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, VehicleScheduleData data, bool bConnect = true)
         {
@@ -251,12 +251,12 @@
         }
         #endregion
 
-        #region 行動予定削除
+        #region 車両予約削除
         /// <summary>
-        /// 行動予定削除
+        /// 車両予約削除
         /// </summary>
         /// <param name="AddSQLString">削除条件SQL文字列</param>
-        /// <param name="data">行動予定データ</param>
+        /// <param name="data">車両予約データ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 99)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 100)
@@ -208,16 +208,21 @@
                 m_DspControl[(int)DspCtrlName.ConstructionDayFrom].Text = "1";
                 m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text = m_LastDays.ToString("00");
 
-                string strSQL = "SELECT AX.DT, DATE_FORMAT(C.HOLIDAY,'%Y/%m/%d'), D.ACTIONRESULT, D.OVERTIMEHOURS, D.WORKINGCOMMENT FROM";
-                strSQL += " (SELECT DATE_FORMAT((st+ROWNUM-1), '%Y/%m/%d') DT";
-                strSQL += " FROM SYS.ALL_CATALOG A,";
-                strSQL += string.Format(" (SELECT STR_TO_DATE('{0}','%Y%m%d') st,", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + "01"));
-                strSQL += string.Format(" STR_TO_DATE('{0}','%Y%m%d') ed FROM SYS.DUAL) B", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + m_LastDays.ToString("00")));
-                strSQL += " WHERE ROWNUM <= (ed - st + 1)) AX";
-                strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = AX.DT";
-                strSQL += string.Format(" LEFT JOIN ATTENDANCEDAILYDATA D ON  D.PERSONCODE = {0} AND D.ATTENDANCEDATE = AX.DT", PersonCode);
-                strSQL += " ORDER BY AX.DT, D.SEQNO";
+                // 指定日の翌日より指定日数分の日付を取得する
+                string strSQL = "SELECT";
+                strSQL += " t1.d, DATE_FORMAT(C.HOLIDAY, '%Y/%m/%d') HOLIDAY, D.ACTIONRESULT, D.OVERTIMEHOURS, D.WORKINGCOMMENT";
+                strSQL += " FROM";
+                
+                strSQL += " (SELECT A1.years, A2.month, A3.days, CAST(CONCAT(A1.years, '/', A2.month, '/', A3.days) as  DATE) as d";
+                strSQL += " FROM yearmaster as A1, monthmaster as A2, daymaster as A3";
+                strSQL += string.Format(" WHERE A1.years = {0}", WorktDate.Year);
+                strSQL += string.Format(" AND A2.month = {0}", WorktDate.Month);
+                strSQL += " AND CAST(CONCAT(A1.years, '/', A2.month, '/', A3.days) as DATE) IS NOT NULL) t1";
 
+                strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = t1.d";
+                strSQL += " LEFT JOIN ATTENDANCEDAILYDATA D ON D.PERSONCODE = 20010104 AND D.ATTENDANCEDATE = t1.d";
+                strSQL += " ORDER BY t1.d, D.SEQNO";
+
                 ArrayList arList = new ArrayList();
                 if (!calDB.ExecuteReader(strSQL, ref arList)) return;
                 DateTime DispDate = DateTime.Now;
@@ -322,7 +327,7 @@
                 m_DspControl[(int)DspCtrlName.ConstructionDayFrom].Text = "1";
                 m_DspControl[(int)DspCtrlName.ConstructionDayTo].Text = m_LastDays.ToString("00");
 
-                string strSQL = "SELECT AX.DT,";                        // 0
+                string strSQL = "SELECT t1.d,";                         // 0
                 strSQL += " DATE_FORMAT(C.HOLIDAY,'%Y/%m/%d'),";        // 1
                 strSQL += " D.StartDistance,";                          // 2
                 strSQL += " D.ComplateDistance,";                       // 3
@@ -333,14 +338,17 @@
                 strSQL += " D.TrancePayOutFlg,";                        // 8
                 strSQL += " D.WareHouseFlg";                            // 9
                 strSQL += " FROM";
-                strSQL += " (SELECT DATE_FORMAT((st+ROWNUM-1), '%Y/%m/%d') DT FROM SYS.ALL_CATALOG A,";
-                strSQL += string.Format(" (SELECT STR_TO_DATE('{0}','%Y%m%d') st,", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + "01"));
-                strSQL += string.Format(" STR_TO_DATE('{0}','%Y%m%d') ed FROM DUAL) B", (WorktDate.Year.ToString() + WorktDate.Month.ToString("00") + m_LastDays.ToString("00")));
-                strSQL += " WHERE ROWNUM <= (ed - st + 1)) AX";
-                strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = AX.DT";
-                strSQL += string.Format(" LEFT JOIN TRANCEPORTDAILYDATA D ON  D.PERSONCODE = {0} AND D.ATTENDANCEDATE = AX.DT", PersonCode);
-                strSQL += " ORDER BY AX.DT";
 
+                strSQL += " (SELECT A1.years, A2.month, A3.days, CAST(CONCAT(A1.years, '/', A2.month, '/', A3.days) as  DATE) as d";
+                strSQL += " FROM yearmaster as A1, monthmaster as A2, daymaster as A3";
+                strSQL += string.Format(" WHERE A1.years = {0}", WorktDate.Year);
+                strSQL += string.Format(" AND A2.month = {0}", WorktDate.Month);
+                strSQL += " AND CAST(CONCAT(A1.years, '/', A2.month, '/', A3.days) as DATE) IS NOT NULL) t1";
+
+                strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = t1.d";
+                strSQL += string.Format(" LEFT JOIN TRANCEPORTDAILYDATA D ON  D.PERSONCODE = {0} AND D.ATTENDANCEDATE = t1.d", PersonCode);
+                strSQL += " ORDER BY t1.d";
+
                 ArrayList arList = new ArrayList();
                 if (!calDB.ExecuteReader(strSQL, ref arList)) return;
                 DateTime DispDate = DateTime.Now;
@@ -1233,7 +1241,7 @@
 
                 // まず削除する
                 string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
-                strSQL += string.Format(" AND DATE_FORMAT(AttendanceMonth,'YYYY/MM') = '{0}'", TargetMonth);
+                strSQL += string.Format(" AND DATE_FORMAT(AttendanceMonth,'%Y/%m') = '{0}'", TargetMonth);
                 AttendanceDB.DeleteAction(strSQL, false);
 
                 // グリッド取得
@@ -1282,7 +1290,7 @@
 
                 // まず削除する
                 string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
-                strSQL += string.Format(" AND DATE_FORMAT(ATTENDANCEMONTH,'YYYY/MM') = '{0}'", TargetMonth);
+                strSQL += string.Format(" AND DATE_FORMAT(AttendanceDate,'%Y/%m') = '{0}'", TargetMonth);
                 AttendanceDB.DeleteAction(strSQL, false);
 
                 // グリッド取得
@@ -1314,8 +1322,8 @@
                         LineCnt = 1;
                     }
 
-                    // SQL作成
-                    SetRowToSQL1(wrkRow, LineCnt++, ref NewList);
+                    // データ作成
+                    SetRowToStruct1(wrkRow, LineCnt++, ref NewList);
                 }
 
                 if (NewList.Count < 1) return true;
@@ -1336,14 +1344,14 @@
         }
         #endregion
 
-        #region 出勤日報データ作成SQL
+        #region 登録出勤日報データ作成
         /// <summary>
-        /// 出勤日報データ作成SQL
+        /// 登録出勤日報データ作成
         /// </summary>
         /// <param name="wrkRow"></param>
         /// <param name="LineCnt"></param>
         /// <param name="strSQL"></param>
-        private void SetRowToSQL1(DataGridViewRow wrkRow, int LineCnt, ref List<AttendanceDailyData> NewList)
+        private void SetRowToStruct1(DataGridViewRow wrkRow, int LineCnt, ref List<AttendanceDailyData> NewList)
         {
             try
             {
@@ -1390,7 +1398,7 @@
 
                 // まず削除する
                 string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
-                strSQL += string.Format(" AND DATE_FORMAT(ATTENDANCEMONTH,'%Y/%m') = '{0}'", TargetMonth);
+                strSQL += string.Format(" AND DATE_FORMAT(AttendanceDate,'%Y/%m') = '{0}'", TargetMonth);
                 TranceportDB.DeleteAction(strSQL, false);
 
                 string strInsert = string.Empty;
@@ -1401,7 +1409,7 @@
                     // 有効行のチェック
                     if (!ChkTranTraceportRow(wrkRow)) continue;
 
-                    SetRowToSQL2(PersonCode, wrkRow, ref NewList);
+                    SetRowToStruct2(PersonCode, wrkRow, ref NewList);
                     
                 }
 
@@ -1410,7 +1418,7 @@
                     // 有効行のチェック
                     if (!ChkTranTraceportRow(wrkRow)) continue;
 
-                    SetRowToSQL2(PersonCode, wrkRow, ref NewList);
+                    SetRowToStruct2(PersonCode, wrkRow, ref NewList);
 
                 }
 
@@ -1481,12 +1489,12 @@
         }
         #endregion
 
-        #region 出勤交通費データ取り込み
+        #region 登録出勤交通費データ作成
         /// <summary>
-        /// 出勤交通費データ取り込み
+        /// 登録出勤交通費データ作成
         /// </summary>
         /// <returns></returns>
-        private void SetRowToSQL2(int PersonCode, DataGridViewRow wrkRow, ref List<TranceportDailyData> NewList)
+        private void SetRowToStruct2(int PersonCode, DataGridViewRow wrkRow, ref List<TranceportDailyData> NewList)
         {
             try
             {
@@ -1557,7 +1565,7 @@
 
                 // 削除する
                 string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
-                strSQL += string.Format(" AND DATE_FORMAT(ATTENDANCEMONTH,'%Y/%m') = '{0}'", TargetMonth);
+                strSQL += string.Format(" AND DATE_FORMAT(AttendanceDate,'%Y/%m') = '{0}'", TargetMonth);
                 AttendanceDB.DeleteAction(strSQL, false);
 
                 // 削除する
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs	(revision 99)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Calender/FrmCalendarAuxiliary.cs	(revision 100)
@@ -386,32 +386,38 @@
                 for (int i = 0; i < MonthCnt; i++)
                 {
                     if (m_CalendPage.lblMonthTitle[i].Text.Length == 0) continue;
+
+                    // 該当年を検索する
+                    string nen = m_CalendPage.lblMonthTitle[i].Text.Substring(0, m_CalendPage.lblMonthTitle[i].Text.IndexOf("年"));
+                    int tergetYear = CommonMotions.cnvInt(nen);
                     // 該当月を検索する
                     string wrkTuki = m_CalendPage.lblMonthTitle[i].Text.Substring(m_CalendPage.lblMonthTitle[i].Text.IndexOf("年") + 1, 2);
                     int tergetMonth = CommonMotions.cnvInt(wrkTuki);
 
-                    int DayCnt = m_CalendPage.MonthryData[i].lblDayData.Length;
-                    for (int ix = 0; ix < DayCnt; ix++)
+                    string strGetMonth = "SELECT t1.d, DATE_FORMAT(C.HOLIDAY, '%Y/%m/%d') HOLIDAY FROM";
+                    strGetMonth += " (SELECT A1.years, A2.month, A3.days, CAST(CONCAT(A1.years, '/', A2.month, '/', A3.days) as  DATE) as d";
+                    strGetMonth += " FROM yearmaster as A1, monthmaster as A2, daymaster as A3";
+                    strGetMonth += string.Format(" WHERE A1.years = {0}", tergetYear);
+                    strGetMonth += string.Format(" AND A2.month = {0}", tergetMonth);
+                    strGetMonth += " AND CAST(CONCAT(A1.years, '/', A2.month, '/', A3.days) as DATE) IS NOT NULL) t1";
+                    strGetMonth += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = t1.d";
+                    strGetMonth += " ORDER BY t1.d";
+
+                    ArrayList dataList = new ArrayList();
+                    if (!hcDB.ExecuteReader(strGetMonth, ref dataList)) continue;
+                    if (dataList.Count == 0) continue;
+
+                    int lblDayCnt = m_CalendPage.MonthryData[i].lblDayData.Length;
+                    object[] CurData = null;
+                    for (int ix = 0; ix < lblDayCnt; ix++)
                     {
                         if (m_CalendPage.MonthryData[i].lblDayData[ix].Text.Length == 0) continue;
 
-                        // 該当日を検索する
-                        string wrkHi = m_CalendPage.MonthryData[i].lblDayData[ix].Text;
-                        int tergetDay = CommonMotions.cnvInt(wrkHi);
+                        // ラベルの日付より取得データの位置を取る
+                        int daycnt = CommonMotions.cnvInt(m_CalendPage.MonthryData[i].lblDayData[ix].Text) - 1;
+                        CurData = (object[])dataList[daycnt];
+                        if (CommonMotions.cnvDate(CurData[1]) == DateTime.MinValue) continue;
 
-                        string nen = m_CalendPage.lblMonthTitle[i].Text.Substring(0, m_CalendPage.lblMonthTitle[i].Text.IndexOf("年"));
-                        DateTime dtter = DateTime.Parse(nen + "/" + wrkTuki + "/" + wrkHi);
-                        string strSQL = hcDB.CreatePrimarykeyString(dtter);
-
-                        //string strSQL = hcDB.CreateSubkeyString(ClsCommon.cnvInt(txtInput01.Text), tergetMonth, tergetDay);
-                        List<HolidayCalenderMaster> dataList = new List<HolidayCalenderMaster>();
-                        //Console.Write("Start Time={0}   {1}\n", DateTime.Now.ToString("HH:mm:ss.fff"), strSQL);
-
-                        if (!hcDB.SelectAction(strSQL, ref dataList)) continue;
-                        if (dataList.Count == 0) continue;
-                        
-                        //Console.Write("End   Time={0}\n", DateTime.Now.ToString("HH:mm:ss.fff"));
-
                         m_CalendPage.MonthryData[i].lblDayData[ix].BackColor = Color.Red;
                     }
                 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmActionCalendar.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmActionCalendar.cs	(revision 99)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmActionCalendar.cs	(revision 100)
@@ -466,7 +466,7 @@
                 if (CommonMotions.cnvInt(objwrk[0]) != 0)
                 {
                     CreateNewCalender(false);
-                    CalenderDataLoad();
+                    //CalenderDataLoad();
                 }
                 else
                 {
@@ -474,7 +474,8 @@
                 }
 
                 // 行動予定読込
-                SetActionCalenderData();
+                //SetActionCalenderData();
+                SetCalenderData();
 
                 m_bChengeAns = false;
             }
@@ -590,6 +591,85 @@
         }
         #endregion
 
+        #region 会社休日・担当者行動セット
+        /// <summary>
+        /// 会社休日・担当者行動セット
+        /// </summary>
+        private void SetCalenderData()
+        {
+            IOMHolidayCalender hcDB = new IOMHolidayCalender();
+            try
+            {
+                // 該当月を検索する
+                string nen = cmbActionYear.Text.Replace("年", "");
+                string wrkTuki = cmbActionMonth.Text.Replace("月", "");
+
+                string strSQL = "SELECT";
+                strSQL += " DATE_FORMAT(t1.d, '%Y/%m/%d') TEMPLATE,";
+                strSQL += " DATE_FORMAT(C.HOLIDAY, '%Y/%m/%d') HOLIDAY,";
+                strSQL += " DATE_FORMAT(D.TargetDate, '%Y/%m/%d') Target,";
+                strSQL += " D.ActionSchedule";
+                strSQL += " FROM";
+                strSQL += " (SELECT A1.years, A2.month, A3.days, CAST(CONCAT(A1.years, '/', A2.month, '/', A3.days) AS DATE) AS d";
+                strSQL += " FROM yearmaster AS A1, monthmaster AS A2, daymaster AS A3";
+                strSQL += string.Format(" WHERE A1.years = {0}", nen);
+                strSQL += string.Format(" AND A2.month = {0}", wrkTuki);
+                strSQL += " AND CAST(CONCAT(A1.years, '/', A2.month, '/', A3.days) AS DATE) IS NOT NULL) t1";
+                strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = t1.d";
+                strSQL += string.Format(" LEFT JOIN ActionScheduleData D ON D.PERSONCODE = {0}", m_SelectPorsonCode);
+                strSQL += " AND D.TargetDate = t1.d";
+                strSQL += " ORDER BY t1.d";
+
+                ArrayList dataList = new ArrayList();
+                if (!hcDB.ExecuteReader(strSQL, ref dataList)) return;
+                if (dataList.Count == 0) return;
+
+                int lblDayCnt = m_lblDays.Count;
+                int daycnt = 0;
+                object[] objCurRec = null;
+                DateTime dtCurDate = DateTime.MinValue;
+                DayOfWeek dayofweek = DayOfWeek.Monday;
+                for (int ix = 0; ix < lblDayCnt; ix++)
+                {
+                    if (m_lblDays[ix].Text.Length == 0) continue;
+
+                    // 対象日取得
+                    daycnt = CommonMotions.cnvInt(m_lblDays[ix].Text) - 1;
+                    objCurRec = (object[])dataList[daycnt];
+
+                    // 行動取得
+                    m_ActionText[ix].Text = CommonMotions.cnvString(objCurRec[3]);
+
+                    dtCurDate = CommonMotions.cnvDate(objCurRec[1]);
+                    // 会社休日マスタにデータが無い場合は次へ進む
+                    if (dtCurDate == DateTime.MinValue) continue;
+                    
+                    // カレンダーが休み
+                    dayofweek = dtCurDate.DayOfWeek;
+
+                    // 土曜日
+                    if (dayofweek == DayOfWeek.Saturday)
+                    {
+                        m_lblDays[ix].BackColor = Color.LightSkyBlue;
+                    }
+                    else
+                    {
+                        m_lblDays[ix].BackColor = Color.LightPink;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                hcDB.close();
+                hcDB = null;
+            }
+        }
+        #endregion
+
         #region 会社カレンダー表示
         /// <summary>
         /// 会社カレンダー表示
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 99)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmPriceOfBudget.cs	(revision 100)
@@ -91,10 +91,10 @@
         /// <summary>
         /// 合計行タイトル
         /// </summary>
-        private static string[] s_TotalTitleArray = new string[] {  "＊台帳未作成分合計＊",
-                                                                    "＊施工中台帳分合計＊",
-                                                                    "＊完了工事台帳分合計＊",
-                                                                    "＊＊　総　合　計　＊＊",
+        private static string[] s_TotalTitleArray = new string[] {  "＊台帳　未作成分  合計＊",
+                                                                    "＊台帳　作成済　　合計＊",
+                                                                    "＊台帳　完了済　　合計＊",
+                                                                    "＊＊　総　 合 　計　＊＊",
                                                                 };
         #endregion
         #endregion
@@ -565,22 +565,16 @@
                 int[] CurTotalArea = new int[TotalColCnt];
                 Array.Clear(CurTotalArea, 0, CurTotalArea.Length);
 
-                bool FirstFlg = true;
+                int CompFlg = -1;
                 int BreakKey = -1;
                 int ino = 1;
                 foreach (object[] objGetArry in DatArList)
                 {
-                    int CompFlg = CommonMotions.cnvInt(objGetArry[0]);
+                    CompFlg = CommonMotions.cnvInt(objGetArry[0]);
                     if (BreakKey != CompFlg)
                     {
-                        if (!FirstFlg)
-                        {
-                            // 合計表示(施工中だけ表示)
-                            if (CompFlg == 0) DisplayTotalRow((int)RowTitleNum.DataType2, CurTotalArea);
-                        }
                         Array.Clear(CurTotalArea, 0, CurTotalArea.Length);
                         BreakKey = CompFlg;
-                        FirstFlg = false;
                     }
 
                     int OrdersDecisionPrice = CommonMotions.cnvInt(objGetArry[1]);      // 受注金額
@@ -601,6 +595,21 @@
                     // 合計行表示
                     DisplayTotalRow(ino++, CurTotalArea);
                 }
+                int ArrayCount = Enum.GetNames(typeof(CommonDefine.ComplateTitleNo)).Length;
+                if (DatArList.Count < ArrayCount)
+                {
+                    Array.Clear(CurTotalArea, 0, CurTotalArea.Length);
+                    switch (CompFlg)
+                    {
+                        case (int)CommonDefine.ComplateTitleNo.Operateing:
+                            ino = (int)RowTitleNum.DataType3;
+                            break;
+                        case (int)CommonDefine.ComplateTitleNo.Complated:
+                            ino = (int)RowTitleNum.DataType2;
+                            break;
+                    }
+                    DisplayTotalRow(ino, CurTotalArea);
+                }
             }
             catch (System.Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleCalendar.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleCalendar.cs	(revision 99)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmVehicleCalendar.cs	(revision 100)
@@ -307,7 +307,7 @@
         }
         #endregion
 
-        #region プライベートメソッド
+        #region コンボボックス初期化
         /// <summary>
         /// コンボボックス初期化
         /// </summary>
@@ -354,6 +354,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region 初期化
         /// <summary>
         /// 初期化
         /// </summary>
@@ -469,7 +472,9 @@
                 vcDB.close(); vcDB = null;
             }
         }
+        #endregion
 
+        #region カレンダー表示
         /// <summary>
         /// カレンダー表示
         /// </summary>
@@ -501,7 +506,7 @@
                 if (CommonMotions.cnvInt(objwrk[0]) != 0)
                 {
                     CreateNewCalender(false);
-                    CalenderDataLoad();
+                    //CalenderDataLoad();
                 }
                 else
                 {
@@ -509,7 +514,8 @@
                 }
 
                 // 車両予約読込
-                SetVehicleCalenderData();
+                //SetVehicleCalenderData();
+                SetCalenderData();
 
                 m_bChengeAns = false;
             }
@@ -522,6 +528,9 @@
                 hcDB.close(); hcDB = null;
             }
         }
+        #endregion
+
+        #region 画面クリア
         /// <summary>
         /// 画面クリア
         /// </summary>
@@ -567,6 +576,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region カレンダー表示
         /// <summary>
         /// カレンダー表示
         /// </summary>
@@ -636,7 +648,112 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region 会社休日・車両予約セット
         /// <summary>
+        /// 会社休日・車両予約セット
+        /// </summary>
+        private void SetCalenderData()
+        {
+            IOMHolidayCalender hcDB = new IOMHolidayCalender();
+            try
+            {
+                // 該当月を検索する
+                string nen = cmbActionYear.Text.Replace("年", "");
+                string wrkTuki = cmbActionMonth.Text.Replace("月", "");
+
+                string strSQL = "SELECT";
+                strSQL += " DATE_FORMAT(t1.d, '%Y/%m/%d') TEMPLATE,";
+                strSQL += " DATE_FORMAT(C.HOLIDAY, '%Y/%m/%d') HOLIDAY,";
+                strSQL += " DATE_FORMAT(D.TargetDate, '%Y/%m/%d') Target,";
+                strSQL += " D.MorningAfternoon,";
+                strSQL += " D.PERSONCODE,";
+                strSQL += " E.PersonName";
+                strSQL += " FROM";
+                strSQL += " (SELECT A1.years, A2.month, A3.days, CAST(CONCAT(A1.years, '/', A2.month, '/', A3.days) AS DATE) AS d";
+                strSQL += " FROM yearmaster AS A1, monthmaster AS A2, daymaster AS A3";
+                strSQL += string.Format(" WHERE A1.years = {0}", nen);
+                strSQL += string.Format(" AND A2.month = {0}", wrkTuki);
+                strSQL += " AND CAST(CONCAT(A1.years, '/', A2.month, '/', A3.days) AS DATE) IS NOT NULL) t1";
+                strSQL += " LEFT JOIN HOLIDAYCALENDERMASTER C ON C.HOLIDAY = t1.d";
+                strSQL += " LEFT JOIN VehicleScheduleData D ON D.TargetDate = t1.d";
+                strSQL += string.Format(" AND D.VehicleCode = {0}", m_SelectVehicleCode);
+                strSQL += " LEFT JOIN personinchargemaster E ON E.PersonCode = D.PERSONCODE";
+                strSQL += " ORDER BY t1.d , D.MorningAfternoon";
+
+                ArrayList dataList = new ArrayList();
+                if (!hcDB.ExecuteReader(strSQL, ref dataList)) return;
+                if (dataList.Count == 0) return;
+
+                int lblDayCnt = m_lblDays.Count;
+                int daycnt = 0;
+
+                DateTime dtCurDate = DateTime.MinValue;
+                DateTime dtHolidayDate = DateTime.MinValue;
+                DayOfWeek dayofweek = DayOfWeek.Monday;
+                
+                int MorningAfternoon = 0;
+                foreach (object[] objCurRec in dataList)
+                {
+                    dtCurDate = CommonMotions.cnvDate(objCurRec[0]);
+                    for (int ix = 0; ix < lblDayCnt; ix++)
+                    {
+                        if (m_lblDays[ix].Text.Length == 0) continue;
+
+                        // 対象日取得
+                        if (CommonMotions.cnvInt(m_lblDays[ix].Text) == dtCurDate.Day)
+                        {
+                            daycnt = ix;
+                            break;
+                        }
+                    }
+                    // 予約データセット
+                    MorningAfternoon = CommonMotions.cnvInt(objCurRec[3]);
+                    switch (MorningAfternoon)
+                    {
+                        case 1:
+                            m_ReservationPersonCode1[daycnt] = CommonMotions.cnvInt(objCurRec[4]);
+                            m_ReservationPersonName1[daycnt].Text = CommonMotions.cnvString(objCurRec[5]);
+                            break;
+                        case 2:
+                            m_ReservationPersonCode2[daycnt] = CommonMotions.cnvInt(objCurRec[4]);
+                            m_ReservationPersonName2[daycnt].Text = CommonMotions.cnvString(objCurRec[5]);
+                            break;
+                    }
+
+                    dtHolidayDate = CommonMotions.cnvDate(objCurRec[1]);
+                    // 会社休日マスタにデータが無い場合は次へ進む
+                    if (dtHolidayDate == DateTime.MinValue) continue;
+
+                    // カレンダーが休み
+                    dayofweek = dtHolidayDate.DayOfWeek;
+
+                    // 土曜日
+                    if (dayofweek == DayOfWeek.Saturday)
+                    {
+                        m_lblDays[daycnt].BackColor = Color.LightSkyBlue;
+                    }
+                    else
+                    {
+                        m_lblDays[daycnt].BackColor = Color.LightPink;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                hcDB.close();
+                hcDB = null;
+            }
+        }
+        #endregion
+
+        #region 会社カレンダー表示
+        /// <summary>
         /// 会社カレンダー表示
         /// </summary>
         private void CalenderDataLoad()
@@ -688,6 +805,9 @@
                 hcDB = null;
             }
         }
+        #endregion
+
+        #region 車両予約データ読込
         /// <summary>
         /// 車両予約データ読込
         /// </summary>
@@ -742,6 +862,9 @@
                 picDB.close(); picDB = null;
             }
         }
+        #endregion
+
+        #region 車両予約登録
         /// <summary>
         /// 車両予約登録
         /// </summary>
@@ -832,6 +955,9 @@
                 return false;
             }
         }
+        #endregion
+
+        #region 車両予約データ削除
         /// <summary>
         /// 車両予約データ削除
         /// </summary>
